#!/bin/sh

PKG=pure-ftpd

config_file () {
    local NEW="$1.new"
    [ -f "$NEW" ] || { echo "$NEW does not exist!"; return; }

    if [ -f "$1" ] ; then
	if cmp -s "$1" "$NEW" ; then
	    rm "$NEW"
	else
	    echo
	    echo "You might want to check $NEW"
	    echo
	fi
    else
	mv $NEW $1
    fi
}


daemontool () {
    # Try to use daemontools
    if [ -d service ] ; then
	DIR="service/$PKG"
    elif [ -d usr/local/service ] ; then
	DIR="usr/local/service/$PKG"
    else
	return 1
    fi

    echo
    echo "Installing $PKG in $DIR"
    echo

    [ -d $DIR ] || mkdir $DIR

    cat <<EOF > $DIR/run.new
#!/bin/sh

exec /usr/sbin/$PKG
EOF

    chmod +x $DIR/run.new
    config_file $DIR/run

    # Do not run the rc.d version
    chmod -x etc/rc.d/rc.$PKG.new
}


if ! daemontool ; then
    # Add to rc.local
    grep $PKG etc/rc.d/rc.local > /dev/null 2>/dev/null
    if [ $? -ne 0 ]; then
    cat <<EOF >> etc/rc.d/rc.local

if [ -x /etc/rc.d/rc.$PKG ] ; then
  echo "Starting $PKG"
  /etc/rc.d/rc.$PKG start
fi
EOF
    fi
fi

config_file etc/rc.d/rc.$PKG
